# RACI Matrix

The __RACI model__ is a straightforward tool used for identifying roles and responsibilities and avoiding confusion over those roles and responsibilities during a project. The acronym RACI stands for:

* __Responsible__: The person who does the work to achieve the task. They have responsibility for getting the work done or decision made. As a rule this is one person; examples might be a business analyst, application developer or technical architect.
* __Accountable__: The person who is accountable for the correct and thorough completion of the task. This must be one person and is often the project executive or project sponsor. This is the role that responsible is accountable to and approves their work.
* __Consulted__: The people who provide information for the project and with whom there is two-way communication. This is usually several people, often subject matter experts.
* __Informed__: The people kept informed of progress and with whom there is one-way communication. These are people that are affected by the outcome of the tasks, so need to be kept up-to-date.

## Creating a RACI Matrix (step-by-step)

1. Identify all the tasks involved in delivering the project and list them on the left-hand side of the chart in completion order.
2. Identify all the project roles and list them along the top of the chart.
3. Complete the cells of the chart identifying who has the responsibility, the accountability and who will be consulted and informed for each task.
4. Ensure every task has a role responsible and a role accountable for it.
5. No tasks should have more than one role accountable. Resolve any conflicts where there is more than one for a particular task.
6. Share, discuss and agree on the RACI Matrix with your stakeholders before your project starts.

## Other

A variation of RACI used by the Project Management Institute (PMI) is RSI, responsible, sponsor and informed.

Other variations are:
* RASCI: with the 'S' standing for 'Support'.
* RACIO: with the 'O' standing for 'Out of the Loop' or 'Omitted'.
* RACI-VS: with the 'V' standing for 'Verify' and the 'S' for 'Signatory'.
