# Five Questions

1. Who is going to buy the product? Who is the target customer?
2. Which customer needs will the product address?
3. Which product attributes are critical to satisfy the needs selected, and therefore for the success of the product?
4. How does the product compare against existing products, both from competitors and the same company? What are the product’s unique selling points?
5. What is the target timeframe and budget to develop and launch the product?

## Product Position Statement

It comes from Geoffrey Moore’s book Crossing the Chasm. It follows the form:
* For (target customer)
* Who (statement of the need or opportunity)
* The (product name) is a (product category)
* That (key benefit, compelling reason to buy)
* Unlike (primary competitive alternative)
* Our product (statement of primary differentiation)

Contained in it is an elevator pitch template that goes like this…

1. For (target customers)
2. Who are dissatisfied with (the current market alternative)
3. Our product is a (new product category)
4. That provides (key problem-solving capability).
5. Unlike (the product alternative),
6. Our product (describe the key product features).


* Для (целевой заказчик/аудитория)
* Которым (описание нужд или возможностей)
* Продукт (имя, категория продуктов)
* Который (ключевые выгоды, повод купить)
* В отличие (главное отличие от конкурентов)
* Наш продукт (главное преимущество)

**Для** ученых, **которым** нужно запрашивать контейнеры с химикатом, **данная** система Икс **является** информационной системой, **которая** обеспечит единую точку доступа к складу химикатов и к поставщикам. Система будет знать местоположение каждого контейнера с химикатом в компании, количество химиката в контейнерах и полную историю перемещения и использования каждого контейнера. Эта система сэкономит компании 25% затрат на химикаты в первый год работы, позволив полностью использовать уже полученные химикаты, утилизировать меньшее количество частично израсходованных или просроченных химикатов и применять единую стандартную систему приобретения химикатов. **В отличии от** действующих сейчас ручных механизмов заказа химикатов **наш продукт** будет генерировать все отчеты, необходимые для регулирующих органов, в которых требуются сведения об использовании, хранении и утилизации химикатов.

## Product problem statement

[Provide a statement summarizing the problem being solved by this project. The following format may be used:]

__The problem of__ [describe the problem]
__affects__ [the stakeholders affected by the problem]
__the impact of which is__ [what is the impact of the problem?]
__a successful solution would be__ [list some key benefits of a successful solution]

__Problem Statement Example__

__The problem of__ an increase in crime rates in large cities
__affects__ middle income homeowners
__the impact of which is__ uncertainty in the safety and security of the home owners and their belongings
__a successful solution would be__ a flexible, cost effective home safety and security system that can be easily configured by the homeowner. The product would support simulating the presence of the homeowners. This can involve adjusting indoor and outdoor lighting, and turning radios, CD players, and televisions on and off. In addition, a home security and safety system can have a rich variety of sensors to coordinate, monitor and control as well as emergency notification features. The user would be able to access the system either locally or remotely. It will be able to utilize existing alarm monitoring networks.

__Product Position Statement Example__

__For__ Middle income homeowner
__Who__ Feel the need for a home safety and security system that provides more than a monitoring service to deter and detect break-ins.
__The Home Appliance Control System (HACS)__ Is a software and hardware product
__That__ provides the ability to choreograph indoor lights, outdoor lights, and entertainment equipment such as CD players and TV’s to deter potential burglars, provide monitoring for smoke and carbon monoxide detectors and for detecting break-ins
__Unlike__ current available monitoring systems that do not support the choreography of lights and entertainment equipment to simulate the homeowners moving about their homes and do not support the capability to remotely control or check the status of the system.
__Our product__ monitors, controls, and coordinates a wide variety of home appliances such as the air conditioner, microwave oven, radios, televisions, CD players, indoor and outdoor lighting, water sprinkler, and home security and safety systems. The system supports local access through a keypad and remote access through landline phones, cell phones or handheld computers (e.g., palm-top, personal digital assistant).


__The problem of__ people not being able to communicate properly as they get older
__affects__ the elderly and people with speech, hearing, and memory disabilities
__the impact of which is__ difficulty communicating with other people and difficulty in seeking help in emergency situations
__a successful solution would be__ a simple, mobile application with a low learning curve that can be easily used by the elderly. The product would provide users with means of expressing themselves, and more easily understanding others. The product would also support efficient means of reaching emergency contacts.

__For__ elderly or disabled persons with speech, hearing, and memory disabilities
__Who__ have difficulty communicating with others
__The HOPE Cellular Phone Application (HCPA)__ is a software application __That__ provides the ability to communicate more effectively with others, and swiftly contact emergency responders through a simple, intuitive interface
__Unlike__ currently available systems that have a steep learning curve and do not provide a detailed system for emergency services.
__Our product__ provides users with means of expressing themselves, and more easily understanding others. This is accomplished by text-to-speech and speech-to-text functionality and other features. The product also supports efficient means of reaching emergency contacts and emergency responders.   
