# Use Case Templates

## Cockburn

Cockburn describes a more detailed structure for a use case, but permits it to be simplified when less detail is needed. His fully dressed use case template lists the following fields:[9]

[Basic](http://alistair.cockburn.us/Basic+use+case+template)

### Full

* Title: "an active-verb goal phrase that names the goal of the primary actor"[10]
* Primary Actor
* Goal in Context
* Scope
* Level
* Stakeholders and Interests
* Precondition
* Minimal Guarantees
* Success Guarantees
* Trigger
* Main Success Scenario
* Extensions
* Technology & Data Variations List

In addition, Cockburn suggests using two devices to indicate the nature of each use case: icons for design scope and goal level.

Cockburn's approach has influenced other authors; for example, Alexander and Beus-Dukic generalize Cockburn's "Fully dressed use case" template from software to systems of all kinds, with the following fields differing from Cockburn:[11]

* Variation scenarios "(maybe branching off from and maybe returning to the main scenario)"
* Exceptions "i.e. exception events and their exception-handling scenarios"

### Casual

Cockburn recognizes that projects may not always need detailed "fully dressed" use cases. He describes a Casual use case with the fields:[9]

* Title (goal)
* Primary Actor
* Scope
* Level
* (Story): the body of the use case is simply a paragraph or two of text, informally describing what happens.

## Fowler style

Martin Fowler states "There is no standard way to write the content of a use case, and different formats work well in different cases." He describes "a common style to use" as follows:[8]:101

* Title: "goal the use case is trying to satisfy"[8]:101
* Main Success Scenario: numbered list of steps[8]:101
  * Step: "a simple statement of the interaction between the actor and a system"[8]:101
* Extensions: separately numbered lists, one per Extension[8]:101
  * Extension: "a condition that results in different interactions from .. the main success scenario". An extension from main step 3 is numbered 3a, etc.[8]:101

## Business Use-Case

A Business Use-Case is a way in which a customer or some other interested party can make use of the business to get the result they want whether it’s to buy an item, to get a new driving license, to pay an invoice, or whatever. An important point is that a single execution of a Business Use-Case should encompass all the activities necessary to do what the customer (or other actor) wants, and also any activities that the business needs to do before the process is complete from its point of view.
